package com.heyu.api.data.dao.vv;
/**
* <p>
* 所有数据表 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-20
*/

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.heyu.api.data.entity.vv.VvAllDataEntity;
import com.lz.mybatis.plugin.annotations.LIMIT;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface VvAllDataDao extends BaseMapper<VvAllDataEntity> {


	VvAllDataEntity selectVvAllDataById(@Param("id")Long id);


	Long insertVvAllData(VvAllDataEntity vvAllData);


	Long insertOrUpdateVvAllData(VvAllDataEntity vvAllData);


	int updateVvAllDataById(VvAllDataEntity vvAllData);


	int updateCoverVvAllDataById(VvAllDataEntity vvAllData);


	int deleteVvAllDataById(@Param("id")Long id);


    @LIMIT
    VvAllDataEntity selectVvAllDataByRunIdRunDate(Long runId, String runDate);

    List<Map<String,Object>> selectSQL(String sql);
}